## org.apache.myfaces.custom.datascroller
Class HtmlDataScrollerTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.custom.datascroller.HtmlDataScrollerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlDataScrollerTag
extends UIComponentTagBase

Version:
  $Revision: 226969 $ $Date: 2005-08-02 04:41:56 -0400 (Tue, 02 Aug 2005) $ $Log: HtmlDataScrollerTag.java,v $ Revision 1.11 2005/02/18 17:19:30 matzew added release() to tag clazzes. Revision 1.10 2005/01/04 00:28:06 svieujot dataScroller, add rowsCountVar, displayedRowsCountVar, firstRowIndexVar and lastRowIndexVar attributes. Revision 1.9 2004/10/13 11:50:57 matze renamed packages to org.apache Revision 1.8 2004/10/05 09:22:57 manolito #1019443 no setter method corresponding to TLD declared attribute Revision 1.7 2004/08/15 23:30:47 o_rossmueller fixed typo in setPaginatorActiveColumnClass Revision 1.6 2004/07/05 13:59:15 royalts added paginator functionality to dataScroller Revision 1.5 2004/07/01 21:53:07 mwessendorf ASF switch Revision 1.4 2004/06/23 13:44:30 royalts no message Revision 1.3 2004/06/21 12:15:23 royalts no message Revision 1.2 2004/06/21 09:46:58 royalts no message Revision 1.1 2004/06/18 12:31:41 royalts DataScroller implementation Revision 1.4 2004/05/18 14:31:37 manolito user role support completely moved to components source tree Revision 1.3 2004/04/05 11:04:52 manolito setter for renderer type removed, no more default renderer type needed Revision 1.2 2004/04/01 12:57:40 manolito additional extended component classes for user role support Revision 1.1 2004/03/31 12:15:26 manolito custom component refactoring
Author:
  Thomas Spiegl (latest modification by $Author: mbr $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlDataScrollerTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setActionListener(java.lang.String actionListener)`
`void` `setDisplayedRowsCountVar(java.lang.String displayedRowsCountVar)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setFastStep(java.lang.String fastStep)`
`void` `setFirstRowIndexVar(java.lang.String firstRowIndexVar)`
`void` `setFor(java.lang.String aFor)`
`void` `setImmediate(java.lang.String immediate)`
`void` `setLastRowIndexVar(java.lang.String lastRowIndexVar)`
`void` `setPageCountVar(java.lang.String pageCountVar)`
`void` `setPageIndexVar(java.lang.String pageIndexVar)`
`void` `setPaginator(java.lang.String paginator)`
`void` `setPaginatorActiveColumnClass(java.lang.String paginatorActiveColumnClass)`
`void` `setPaginatorActiveColumnStyle(java.lang.String paginatorActiveColumnStyle)`
`void` `setPaginatorColumnClass(java.lang.String paginatorColumnClass)`
`void` `setPaginatorColumnStyle(java.lang.String paginatorColumnStyle)`
`void` `setPaginatorMaxPages(java.lang.String paginatorMaxPages)`
`void` `setPaginatorTableClass(java.lang.String paginatorTableClass)`
`void` `setPaginatorTableStyle(java.lang.String paginatorTableStyle)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setRenderFacetsIfSinglePage(java.lang.String renderFacetsIfSinglePage)`
`void` `setRowsCountVar(java.lang.String rowsCountVar)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlDataScrollerTag

    public HtmlDataScrollerTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

### setFor

    public void setFor(java.lang.String aFor)

### setFastStep

    public void setFastStep(java.lang.String fastStep)

### setPageCountVar

    public void setPageCountVar(java.lang.String pageCountVar)

### setPageIndexVar

    public void setPageIndexVar(java.lang.String pageIndexVar)

### setRowsCountVar

    public void setRowsCountVar(java.lang.String rowsCountVar)

### setDisplayedRowsCountVar

    public void setDisplayedRowsCountVar(java.lang.String displayedRowsCountVar)

### setFirstRowIndexVar

    public void setFirstRowIndexVar(java.lang.String firstRowIndexVar)

### setLastRowIndexVar

    public void setLastRowIndexVar(java.lang.String lastRowIndexVar)

### setStyle

    public void setStyle(java.lang.String style)

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### setPaginator

    public void setPaginator(java.lang.String paginator)

### setPaginatorMaxPages

    public void setPaginatorMaxPages(java.lang.String paginatorMaxPages)

### setPaginatorTableClass

    public void setPaginatorTableClass(java.lang.String paginatorTableClass)

### setPaginatorColumnClass

    public void setPaginatorColumnClass(java.lang.String paginatorColumnClass)

### setPaginatorColumnStyle

    public void setPaginatorColumnStyle(java.lang.String paginatorColumnStyle)

### setPaginatorTableStyle

    public void setPaginatorTableStyle(java.lang.String paginatorTableStyle)

### setPaginatorActiveColumnClass

    public void setPaginatorActiveColumnClass(java.lang.String paginatorActiveColumnClass)

### setPaginatorActiveColumnStyle

    public void setPaginatorActiveColumnStyle(java.lang.String paginatorActiveColumnStyle)

### setRenderFacetsIfSinglePage

    public void setRenderFacetsIfSinglePage(java.lang.String renderFacetsIfSinglePage)

### setImmediate

    public void setImmediate(java.lang.String immediate)

### setActionListener

    public void setActionListener(java.lang.String actionListener)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)